# DEX & DEX Aggregators

Provides connectivity across the various **decentralized exchanges** available on the EVM and Non-EVM chains.

#### Supported

* Uniswap V2
* Uniswap V3
* Uniswap X
* Sushiswap V2
* PancakeSwap V2
* PancakeSwap V3
* Camelot V3
* Curve V2
* Balancer V2
* STON.fi
* Trader Joe
* Orca
* Raydium
* SDEX
* Cetus
* REF Finance
* Liquidswap
* Sologenic
* Alex
* 0x (Aggregator)
* 1inch (Aggregator)

#### GET Requests

* Get Active Amount
* Get Historical Pool Chart Data
* Get Historical Time Series
* Get Historical Transactions
* Get Individual Position
* Get Liquidity By Tick
* Get Liquidity Holders
* Get Liquidity Sources
* Get Maker Orders
* Get Orders
* Get Pool Chart Data
* Get Pool Individual Liquidity
* Get Pool Liquidity
* Get Pool Trade Data
* Get Pools
* Get Price
* Get Route
* Get Token ID Price
* Get Token Liquidity
* Get Token List
* Get User Liquidity
* Get User Token IDs
* Get Wallet Position
* Quote Aggregator

#### POST Requests

* Add Liquidity
* Cancel Order
* Create Order
* Fill Order
* Publish Order
* Remove Liquidity
* Swap
* Swap Aggregator
* Swap With Approval


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dexlens.io/sdk-and-api/api/dex-and-dex-aggregators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
